# DataExchange
TKSTL
StlMesh

# StlMesh_MeshTriangle Class Reference

A mesh triangle is defined with
three geometric vertices and an orientation
.

`#include <StlMesh_MeshTriangle.hxx>`

## Public Member Functions

Standard_EXPORT | StlMesh_MeshTriangle ()
| empty constructor
Standard_EXPORT | StlMesh_MeshTriangle (const Standard_Integer V1, const Standard_Integer V2, const Standard_Integer V3, const Standard_Real Xn, const Standard_Real Yn, const Standard_Real Zn)
| create a triangle defined with the indexes of its three vertices and its orientation //! Raised if V1, V2 or V3 is lower than zero
Standard_EXPORT void | GetVertexAndOrientation (Standard_Integer &V1, Standard_Integer &V2, Standard_Integer &V3, Standard_Real &Xn, Standard_Real &Yn, Standard_Real &Zn) const
| get indexes of the three vertices (V1,V2,V3) and the orientation
Standard_EXPORT void | SetVertexAndOrientation (const Standard_Integer V1, const Standard_Integer V2, const Standard_Integer V3, const Standard_Real Xn, const Standard_Real Yn, const Standard_Real Zn)
| set indexes of the three vertices (V1,V2,V3) and the orientation //! Raised if V1, V2 or V3 is lower than zero
Standard_EXPORT void | GetVertex (Standard_Integer &V1, Standard_Integer &V2, Standard_Integer &V3) const
| get indexes of the three vertices (V1,V2,V3)
Standard_EXPORT void | SetVertex (const Standard_Integer V1, const Standard_Integer V2, const Standard_Integer V3)
| set indexes of the three vertices (V1,V2,V3) //! Raised if V1, V2 or V3 is lower than zero
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | MyV1
Standard_Integer | MyV2
Standard_Integer | MyV3
Standard_Real | MyXn
Standard_Real | MyYn
Standard_Real | MyZn

## Constructor & Destructor Documentation

Standard_EXPORT StlMesh_MeshTriangle::StlMesh_MeshTriangle | ( |  | ) |

Standard_EXPORT StlMesh_MeshTriangle::StlMesh_MeshTriangle | ( | const Standard_Integer | V1,
|  | const Standard_Integer | V2,
|  | const Standard_Integer | V3,
|  | const Standard_Real | Xn,
|  | const Standard_Real | Yn,
|  | const Standard_Real | Zn
| ) |

## Member Function Documentation

Standard_EXPORT void StlMesh_MeshTriangle::GetVertex | ( | Standard_Integer & | V1,
|  | Standard_Integer & | V2,
|  | Standard_Integer & | V3
| ) | const

Standard_EXPORT void StlMesh_MeshTriangle::GetVertexAndOrientation | ( | Standard_Integer & | V1,
|  | Standard_Integer & | V2,
|  | Standard_Integer & | V3,
|  | Standard_Real & | Xn,
|  | Standard_Real & | Yn,
|  | Standard_Real & | Zn
| ) | const

Standard_EXPORT const StlMesh_MeshTriangle::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StlMesh_MeshTriangle::SetVertex | ( | const Standard_Integer | V1,
|  | const Standard_Integer | V2,
|  | const Standard_Integer | V3
| ) |

Standard_EXPORT void StlMesh_MeshTriangle::SetVertexAndOrientation | ( | const Standard_Integer | V1,
|  | const Standard_Integer | V2,
|  | const Standard_Integer | V3,
|  | const Standard_Real | Xn,
|  | const Standard_Real | Yn,
|  | const Standard_Real | Zn
| ) |

## Field Documentation

Standard_Integer StlMesh_MeshTriangle::MyV1 `[private]`

Standard_Integer StlMesh_MeshTriangle::MyV2 `[private]`

Standard_Integer StlMesh_MeshTriangle::MyV3 `[private]`

Standard_Real StlMesh_MeshTriangle::MyXn `[private]`

Standard_Real StlMesh_MeshTriangle::MyYn `[private]`

Standard_Real StlMesh_MeshTriangle::MyZn `[private]`

The documentation for this class was generated from the following file:

- StlMesh_MeshTriangle.hxx